summaryrefslogtreecommitdiffstats
path: root/source/a/mcelog
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/mcelog')
-rwxr-xr-xsource/a/mcelog/mcelog.SlackBuild4
-rw-r--r--source/a/mcelog/mcelog.logrotate.size.syntax.diff11
2 files changed, 14 insertions, 1 deletions
diff --git a/source/a/mcelog/mcelog.SlackBuild b/source/a/mcelog/mcelog.SlackBuild
index 542858c96..84ac0ed12 100755
--- a/source/a/mcelog/mcelog.SlackBuild
+++ b/source/a/mcelog/mcelog.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mcelog
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -57,6 +57,8 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+zcat $CWD/mcelog.logrotate.size.syntax.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/a/mcelog/mcelog.logrotate.size.syntax.diff b/source/a/mcelog/mcelog.logrotate.size.syntax.diff
new file mode 100644
index 000000000..49a511a57
--- /dev/null
+++ b/source/a/mcelog/mcelog.logrotate.size.syntax.diff
@@ -0,0 +1,11 @@
+--- ./mcelog.logrotate.orig 2021-04-30 09:44:57.000000000 -0500
++++ ./mcelog.logrotate 2021-05-23 14:16:45.606004778 -0500
+@@ -3,7 +3,7 @@
+ dateext
+ maxage 365
+ rotate 99
+- size=+2048k
++ size 2048k
+ notifempty
+ missingok
+ copytruncate